import os
from selenium import webdriver
from selenium.webdriver.chrome.service import Service
from webdriver_manager.chrome import ChromeDriverManager
import logging

# 配置日志
logging.basicConfig(level=logging.INFO, format='%(asctime)s - %(levelname)s - %(message)s')

class Browser_driver(object):
    def browser_init(self):
        # logging.info('初始化开始！')
        # 动态获取 chromedriver 路径
        driver_path = os.getenv('CHROMEDRIVER_PATH', "C:\\Program Files\\Google\\Chrome\\Application\\chromedriver.exe")
        try:
            # 尝试使用指定路径初始化 WebDriver
            self.driver = webdriver.Chrome(service=Service(driver_path))
            # 设置隐式等待时间
            self.driver.implicitly_wait(5)  # 延长至5秒
            # logging.info('初始化成功，驱动正常！')
        except Exception as e:
            logging.error(f'初始化失败: {e}')
            raise
        return self.driver